Package com.treemap

# Class MutableAlgorithmOverrideProperty

java.lang.Object
com.macrofocus.common.properties.AbstractProperty<Algorithm>
com.macrofocus.common.properties.AbstractMutableProperty<Algorithm>
com.macrofocus.common.properties.OverrideProperty<Algorithm>
com.treemap.MutableAlgorithmOverrideProperty

All Implemented Interfaces:
  `MutableProperty<Algorithm>`, `Property<Algorithm>`

public class MutableAlgorithmOverrideProperty extends OverrideProperty<Algorithm>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.common.properties.OverrideProperty

  `defaultProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MutableAlgorithmOverrideProperty(MutableProperty<Boolean> overrideDefaults, MutableProperty<Algorithm> defaultProperty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MutableProperty<Algorithm>`
  `createOverrideProperty()`

  ### Methods inherited from class com.macrofocus.common.properties.OverrideProperty

  `addProperty, getOverrideProperty, getOverrideValue, getValue, removeProperty, reset, setValue`

  ### Methods inherited from class com.macrofocus.common.properties.AbstractMutableProperty

  `bind, bindBidirectional`

  ### Methods inherited from class com.macrofocus.common.properties.AbstractProperty

  `addPropertyListener, addWeakPropertyListener, notifyPropertyChanged, removePropertyListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.properties.Property

  `addPropertyListener, addWeakPropertyListener, removePropertyListener`

- ## Constructor Details

  - ### MutableAlgorithmOverrideProperty

    public MutableAlgorithmOverrideProperty(MutableProperty<Boolean> overrideDefaults, MutableProperty<Algorithm> defaultProperty)

- ## Method Details

  - ### createOverrideProperty

    protected MutableProperty<Algorithm> createOverrideProperty()
    Overrides:
      `createOverrideProperty` in class `OverrideProperty<Algorithm>`